Library Version 11.2.5.3

DBcursor->get_priority()
Prev | Chapter 3. The DBcursor Handle | Next

## DBcursor->get_priority()

    #include <db.h>

    int
    DBcursor->get_priority(DBC *DbCursor, DB_CACHE_PRIORITY *priorityp);

The `DBcursor->get_priority()` method returns the cache priority for pages referenced by the DBcursor handle.

The `DBcursor->get_priority()` method may be called at any time during the life of the application.

The `DBcursor->get_priority()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### priorityp

The `DBcursor->get_priority()` method returns a reference to the cache priority for pages referenced by the DBcursor handle in priorityp.

### Class

DBcursor

### See Also

Database Cursors and Related Methods

Prev | Up | Next
DBcursor->get() | Home | DBcursor->put()